##FIGURE 1: OUTCOME OF NOMINATIONS TO SENATE-CONFIRMED POSITIONS:

x <- read.csv("http://www.umich.edu/~jowei/PresidentialAppointments/SenConfNominees.csv")
x <- x[x$pres %in% c('clinton','gwb'),]
x$reportedfav <- unlist(lapply(x$latest, function(z) regexpr("Ordered to be reported favorably",z)[1]>0))

##column 1, box 1:
dim(x) ##7,622 total nominations submitted by Presidents Clinton and GW Bush

##column 2, boxes 1 and 2:
summary(x$referredto=="") ## 7597 NOMINEES REFERRED TO A COMMITTEE; 25 NOMINEES ARE NOT REFERRED

##column 4, box 1:
summary(x$referredto=="" & x$confirm==1) ##ALL 25 NON-REFERRED NOMINATIONS ARE CONFIRMED BY THE FLOOR


##column 3, box 2: "ordered" or "reported"
x <- x[x$referred!="",]
x$report <- x$ordered!="" | x$reported!=""  
summary(x$report)  ##5,379 NOMINATIONS ARE REPORTED TO THE FLOOR

##column 4, box 3: 
summary(x$report & (x$confirm==1 | x$reportedfav)) ## 5,144 of committee-reported nominees are approved by Senate

##column 4, box 4: 
summary(x$report & x$withdraw==1) ## 27 of committee-reported nominees are withdrawn by president
summary(x$report & x$return==1) ## 207 of committee-reported nominees are placed on hold and returned to the president


##column 4, box 5:
x$disapproval <- unlist(lapply(x$latest, function(z) regexpr("Resolution of disapproval",z)[1]>0))
summary(x$report & x$disapproval) ## 1 committee-reported nomination receives a "Resolution of disapproval" by Senate



##column 3, box 4: withdrawn by president
x$withdrawn <- x$ordered=="" & x$reported=="" & x$withdraw  
summary(x$withdrawn)  ##289 NOMINATIONS ARE WITHDRAWN BEFORE ANY COMMITTEE REPORT

##column 4, box 7: withdrawn by president
summary(x$withdrawn & x$confirm==0)  ##289 NOMINATIONS WITHDRAWN, NONE OF THEM RECEIVE FLOOR CONFIRMATION



##column 3, box 3: (committee takes no action and returns nomination to president):
x$noaction <- (x$returned!="" & (!x$report & !x$withdrawn))
summary(x$noaction) ##1,355 RESULT IN NO COMMITTEE ACTION AND A RETURN OF NOMINATION TO PRESIDENT

##column 4, box 6: (committee takes no action and returns nomination to president):
summary(x$noaction & x$confirm==0) ##ALL 1,355 NOMINATIONS WITH NO COMMITTEE ACTION ARE RETURNED TO PRESIDENT (FAILED NOMINATION)


##column 3, box 1: (committee discharged)
x$discharge <- !x$report & !x$withdrawn & !x$noaction
summary(x$discharge) ##574 NOMINATIONS DISCHARGED FOR SENATE FLOOR CONSIDERATION

##column 4, box 2: (committee discharged)
summary(x$discharge & x$confirm==1) ##574 NOMINATIONS DISCHARGED WERE SUBSEQUENTLY CONFIRMED


