
x <- read.csv("http://www.umich.edu/~jowei/PresidentialAppointments/THOMAS_HISTORICAL.csv",header=T)

############################

x$recdate <- as.Date(x$receivedDATE, "%B %d, %Y")
x$pres <- "reagan"
x$pres[x$recdate>="1989-01-20"] <- "hwb"
x$pres[x$recdate>="1993-01-20"] <- "clinton"
x$pres[x$recdate>="2001-01-20"] <- "gwb"
x$pres[x$recdate>="2009-01-20"] <- "obama"

##CALCULATE PRESIDENTIAL TERM
x$TERM <- "REAGAN2"
x$TERM[x$recdate>="1989-01-20"] <- "GHWB"
x$TERM[x$recdate>="1993-01-20"] <- "CLINTON1"
x$TERM[x$recdate>="1997-01-20"] <- "CLINTON2"
x$TERM[x$recdate>="2001-01-20"] <- "GWB1"
x$TERM[x$recdate>="2005-01-20"] <- "GWB2"
x$TERM[x$recdate>="2009-01-20"] <- "OBAMA"

x <- x[x$IDs_found<=3,]
dim(x)
summary(as.factor(x$IDs_found))

################

postscript(file=paste("Figure3.eps",sep=""), horizontal=FALSE, width=6.5, height=8)	

par(mar=c(3.3,6.2,2.5,0.5))	

plot(recdate ~ cont.ips, xlim=c(-1.4,1.4) ,data=x, yaxt="n", xaxt="n",ylab=""	
	,main="Presidential Nominations to Senate-Confirmed Positions, \n1987-2012", xlab="", cex=0.8)

days <- as.Date(c("1989-01-20","1993-01-20","2001-01-20","2009-01-20"))	
dayslabel <- c("Jan. 1989","Jan. 1993","Jan. 2001","Jan. 2009")	

axis(1, at=c(-1,0,1), labels=c("-1.0","0.0","+1.0"), cex.axis=1,mgp=c(1.5, 0.8, 0), las=1)	

axis(2, at=days, labels=dayslabel, cex.axis=0.9,mgp=c(4, 1.30, 0), las=1)	
for (d in days){
lines(c(-10,10),c(d,d))
}

title(ylab="Date of Nomination", cex.lab=1.5, mgp=c(5, 2.8, 0))

title(xlab="Nominee's Ideal Point (Higher=More Conservative)", cex.lab=1.25, mgp=c(2.1, 3, 0))


mind <- as.Date("1987-01-20")
mind <- as.Date("1986-01-01")
maxd <- as.Date("2012-05-21" )

laby <- c( (as.numeric(mind)+as.numeric(days[1]))/2, (as.numeric(days[1])+as.numeric(days[2]))/2, (as.numeric(days[2])+as.numeric(days[3]))/2, 
(as.numeric(days[3])+as.numeric(days[4]))/2,  (as.numeric(days[4])+as.numeric(maxd))/2  )

text(-1.65, laby, srt = 0, adj = 0.5, srt=90
, labels = c("Reagan  ","G.H.W.\nBush","Clinton","G.W. Bush","  Obama"), xpd = TRUE
, col=c("red","red","blue","red","blue"))

dev.off()
