##FIGURES COMPARING DCHAIR TO DPRES FOR SENATE-CONFIRMABLE NOMINEES ACROSS AGENCIES	
x <- read.csv("http://www.umich.edu/~jowei/PresidentialAppointments/SenConfNominees.csv",header=T)

cf.clinton <- -0.799157601	
cf.gwb <- 0.84721316	
aglist <- read.delim("http://www.umich.edu/~jowei/PresidentialAppointments/30agencies.txt", header=F)	
xa <- x[(as.character(x$organization) %in% aglist$V1) & (x$pres %in% c("gwb") & x$Congress %in% c(107)),]	
	

	
##CONSTRUCT AGENCY-LEVEL DATA	
ags <- as.character(unique(x$organization))	
press <- unique(x$pres)	
cc <- matrix(NA, length(ags), length(press))	
cr <- matrix(NA, length(ags), length(press))	
n <- matrix(NA, length(ags), length(press))	

for (i in 1:length(ags)){	
	print(ags[i])
	xa <- x[x$organization==ags[i] & (x$pres %in% c("clinton") & x$Congress %in% c(104:106)),]
	xa$dpres <- abs(I(xa$cont.ips-(cf.clinton)))
	##xac <- xa[xa$confirm==1,]
	##xar <- xa[xa$confirm==0,]
	##print(length(unique(xa$referredto)))
	cc[i,4] <- mean(xa$dchair, na.rm=T)
	cr[i,4] <- mean(xa$dpres, na.rm=T)
	n[i,4] <- dim(xa)[1]

	xa <- x[x$organization==ags[i] & (x$pres %in% c("gwb") & x$Congress %in% c(107,110) & x$chair.cf<0),]
	xa$dpres <- abs(I(xa$cont.ips-(cf.gwb)))
	##xac <- xa[xa$confirm==1,]
	##xar <- xa[xa$confirm==0,]
	##print(length(unique(xa$referredto)))
	cc[i,2] <- mean(xa$dchair, na.rm=T)
	cr[i,2] <- mean(xa$dpres, na.rm=T)
	n[i,2] <- dim(xa)[1]

}	

q <- as.data.frame(cbind(ags,n,cc,cr))	
names(q) <- c("agency",paste(press,".n",sep=""),paste(press,".cc",sep=""),paste(press,".cr",sep=""))	
for (i in 2:16){	
q[,i] <- as.numeric(as.character(q[,i]))	
}	


q <- q[rev(order(q$gwb.n)),]	

aglist <- read.delim("http://www.umich.edu/~jowei/PresidentialAppointments/30agencies.txt", header=F)	
qs <- q[q$agency %in% aglist$V1,]
qs <- qs[rev(order(qs$agency)),]

qs <- qs[order(qs$gwb.n),]

k <- length(qs$agency)
qs$agency <- as.character(qs$agency)
qs$agency[qs$agency=="United States International Development Cooperation Agency"] <- "International Development Cooperation Agency"
qs$agency[qs$agency=="Morris K. Udall Scholarship and Excellence in National Environmental Policy Foundation"] <- "Morris K. Udall Foundation"
qs$agency[qs$agency=="Defense Base Closure and Realignment Commission"] <- "Defense Base Closure and Realignment Comm'n"
qs$agency[qs$agency=="National Commission on Libraries and Information Science"] <- "Nat. Comm'n on Libraries and Information Science"
qs$agency[qs$agency=="United States Advisory Commission on Public Diplomacy"] <- "Advisory Commission on Public Diplomacy"
qs$agency[qs$agency=="National Commission on Libraries and Information Science"] <- "Nat. Comm'n on Libraries and Information Science"
qs$agency[qs$agency=="The Judiciary"] <- "Judicial Branch (Judicial Nominees)"
qs <- qs[rev(order(qs$agency)),]

postscript("Figure4.eps", height=6.5, width=8, horizontal=FALSE)
qs <- qs[rev(order(qs$agency)),]
title <- "George W. Bush Administration Nominees \nto Senate-Confirmed Positions"
par(mar=c(4.5,16.0,3.0,0.8))
plot(NA,NA, xlim=c(0,2), ylim=c(1,(k+4.5)), yaxt="n",xaxt="n", ylab="", xlab="Ideological Distance from Nominee\nto President and Committee Chair")

points(qs$gwb.cc, seq(1:k)   , col="blue", pch=16, cex=1.3)
points(qs$gwb.cr, seq(1:k)   , col="red", pch=2, cex=1.3)

xlabs <- seq(from=0,to=2,by=0.25)

axis(1, at=seq(from=0,to=2,by=0.25), lab=xlabs,mgp=c(1.8, 0.6, 0), cex.axis=1, par(las=1))

axis(2, at=seq(1:k), lab=qs$agency,mgp=c(1.8, 0.6, 0), cex.axis=0.75, par(las=1))
for (i in 1:k){
lines(c(-10,10),c(i,i),lty="dashed")
}

legend("top", c("Mean Ideological Distance from Nominee to Committee Chair","Mean Ideological Distance from Nominee to President Bush"),
 pch=c(16,2), cex=0.85, pt.cex=c(1,1), col=c("blue","red"), text.col=c("blue","red"), title.col=c("black"), title="Legend:",bty="y"##,lty=c(2,1)
)

title(main=title,
ylab="Agency"
, cex.main=1
, cex.lab=1.4
, mgp=c(14.6, 1.8, 0))


dev.off()

