
########################## START HERE FOR THE CREATION OF FIGURES A1 AND A2:
cab <- read.csv("http://www.umich.edu/~jowei/PresidentialAppointments/bg_with_cfscores_5_2_2013.csv")
cf <- cab$contributor_CFscore; bg <- cab$BG_mean; dw <- cab$dwnom1

library(ggplot2)
library(DescribeDisplay)

library(ggplot2);  library(GGally)
library(car)

#####CREATION OF FIGURE A1:
party <- cab[,'party']
party[is.na(party)] <- 328
party[party == 328] <- 100
party[party == 100] <- 'Dem'
party[party == 200] <- 'Rep'
p <- qplot(x=cf,y=bg,geom='text',label=as.character(cab[,'last.name']),colour=factor(party))
p <- p + xlab('Bonica-Chen-Johnson') + ylab('Bertelli-Grose')
p <- p + scale_colour_manual('Party',values=c('Rep'='black','Dem'='darkgrey'))
##p <- p + scale_fill_manual('Party',values=c('Rep'='black','Dem'='darkgrey'))
p <- p + geom_text()
p <- p + theme_bw()
p <- p + theme(legend.position='none')
p + guides(fill = guide_legend(override.aes = list(alpha = 1,size = 3)))
pdf(file='FigureA1.pdf', width=9, height=8)
##horizontal = FALSE, onefile = FALSE, paper = "special", width=9, height=8)
p
dev.off()


##FIGURE 2 STARTS HERE:
pdf(file='FigureA2.pdf', width=9, height=8)
gg <- as.data.frame(cbind(cf,bg,dw))
colnames(gg) <- c('Bonica_Chen_Johnson','Bertelli_Grose','DW_NOMINATE')
ggpairs(gg[,1:3],
upper=list(continuous = "smooth", params = c(method = "loess")),
lower=list(continuous = "smooth", params = c(method = "loess")),
diag=list(continuous="density"), axisLabels='show')
dev.off()


########################## END

