
cj <- read.delim("http://www.umich.edu/~jowei/PresidentialAppointments/chenjohnsondata.txt", header=T)
y <- read.csv("http://www.umich.edu/~jowei/PresidentialAppointments/AllPLUMbooks_HISTORICAL.csv")

y$confirm <- 1
y$points <- 3
y$recess <- 0
y$time.to.confirm <- NA
atypes <- c('SC')



##clinton PLUM appointees from 2001-2008
xs <- y[(y$appt %in% atypes)  & y$year<=2000,c('year','incumbent','mainagency','AG','position','CONT.IPS','appt','confirm','points','bonica_id1','judicial','reappointment','ambassador','attorney','marshal','secretary','director','administrator','member','commissioner','professional','technical','recess','time.to.confirm','PolicyAgenda')]
xs$AG2 <- substr(xs$AG, 1,2)
cjy <- cj[cj$start_year==1994,]
xs$cj <- cjy$idpt[match(xs$AG2,cjy$opm_code)]
##summary(lm(CONT.IPS ~ cj, data=xs))
xclinton <- xs
xclinton$col <- "blue"
##plot(cj ~ CONT.IPS, data=xs)

##gwb PLUM appointees from 2001-2008
xs <- y[(y$appt %in% atypes)  & y$year>2004,c('year','incumbent','mainagency','AG','position','CONT.IPS','appt','confirm','points','bonica_id1','judicial','reappointment','ambassador','attorney','marshal','secretary','director','administrator','member','commissioner','professional','technical','recess','time.to.confirm','PolicyAgenda')]
xs$AG2 <- substr(xs$AG, 1,2)
cjy <- cj[cj$start_year==2002,]
xs$cj <- cjy$idpt[match(xs$AG2,cjy$opm_code)]
##summary(lm(CONT.IPS ~ cj, data=xs))
xgwb <- xs
xgwb$col <- "red"
##plot(cj ~ CONT.IPS, data=xs)




##PLOT CLINTON AND GWB TOGETHER##
p <- rbind(xclinton,xgwb)

summary(lm(CONT.IPS ~ cj, data=p))

pdf(file="FigureA3.pdf", width=6, height=6)
##postscript(file="C:/Research/Dropbox/QJPS Resubmission/Figures/FigureA3.eps", width=6, height=6, horizontal=F)
xall <- rbind(xclinton,xgwb)
par(mar=c(3.3,4.3,3,0.1))
plot(cj ~ CONT.IPS, data=xall,ylab="",xlab="", col=p$col,ylim=c(-0.55,0.55),xlim=c(-1.6,1.5))

title("Comparison of Appointee Ideology to \nChen and Johnson Agency-Level Ideology Estimates",
, ylab="Chen and Johnson Agency-Level\nCommon Space DW-NOMINATE Scores"
, xlab="Ideology of Appointees to Schedule C positions"
, cex.main=1.1
, cex.lab=1.2
, mgp=c(2.2, 1.8, 0))

legend("bottomright", c("Clinton Appointees","Bush Appointees"), pch=c(1,1), cex=0.8, pt.cex=c(1,1), col=c("blue","red"), text.col=c("blue","red")
, title.col=c("black"), title="Legend:",bty="y",lty=c(0,0))


dev.off()





