
z <- read.delim("http://www.umich.edu/~jowei/PresidentialAppointments/figurea4.txt",header=T)

library(ggplot2)
z$pres = (ordered(z$pres, c('Reagan','GHW Bush','Clinton','GW Bush','Obama')))
z$type = (ordered(z$type, c('MCs (D)','MCs (R)','Appointees')))

xpres <- rep(NA,nrow(z))
xpres[z$pres == 'Reagan'] <- .90
xpres[z$pres == 'GHW Bush'] <- .50
xpres[z$pres == 'GW Bush'] <- .89
xpres[z$pres == 'Clinton'] <- -1
xpres[z$pres == 'Obama'] <- -1.5
z$xpres <- xpres
z$ypres <- 1

p <- ggplot(z,aes(x=cfscore,label=as.character(z$pres)))
p <- p + geom_density(aes(colour=type,lty=type))
p <- p + xlim(-2,2)
popts <- theme(legend.position=c(0.85, 0.3),##legend.position='bottom',
              axis.title.y=element_text(size=10,colour='black',face='bold',angle=90,vjust=.3),
              strip.text.x = element_text(size=13,colour='black',face='bold'),
              axis.text.x=element_text(size=8,colour='black'),
              axis.text.y=element_text(size=8,colour='black'),
              axis.title.x =element_text(size = 10,face='bold',colour='black'))
p <- p + popts
p <- p + scale_colour_manual('',values=c('Appointees'='black','MCs (D)' = 'darkgrey','MCs (R)' = 'darkgrey'))
p <- p + scale_linetype_manual('',values=c('Appointees'=1,'MCs (D)' = 1,'MCs (R)' = 2))
p <- p + xlab('Bonica-Chen-Johnson Ideal Point Estimate (Conservatism)')
p <- p + facet_wrap(~pres)
p <- p + theme(
           panel.grid.minor = element_blank(),
           panel.grid.major = element_blank(),
           panel.background = element_blank()
           )
p

##pdf(file='FigureA4.pdf',width = 8,height=5)
postscript(file='FigureA4.eps',width = 8,height=5,horizontal=F)
p
dev.off()

##END OF FIGURE A4 CODE.
