######################

x <- read.csv("http://www.umich.edu/~jowei/PresidentialAppointments/THOMAS_HISTORICAL.csv",header=T)
##x$recdate <- as.Date(x$receivedDATE, "%d-%b-%y")
x$recdate <- as.Date(x$receivedDATE, "%B %d, %Y")

############################

x$pres <- "reagan"
x$pres[x$recdate>="1989-01-20"] <- "hwb"
x$pres[x$recdate>="1993-01-20"] <- "clinton"
x$pres[x$recdate>="2001-01-20"] <- "gwb"
x$pres[x$recdate>="2009-01-20"] <- "obama"

##CALCULATE PRESIDENTIAL TERM
x$TERM <- "REAGAN2"
x$TERM[x$recdate>="1989-01-20"] <- "GHWB"
x$TERM[x$recdate>="1993-01-20"] <- "CLINTON1"
x$TERM[x$recdate>="1997-01-20"] <- "CLINTON2"
x$TERM[x$recdate>="2001-01-20"] <- "GWB1"
x$TERM[x$recdate>="2005-01-20"] <- "GWB2"
x$TERM[x$recdate>="2009-01-20"] <- "OBAMA"

######################


######################
##A5: Clinton Row (Upper)
######################
x.clinton<-x[which(x$pres == "clinton"),]

##Clinton plot, smoother span = 0.20, upper left
x.clinton <- x.clinton[,c("recdate", "cont.ips")]
x.clinton <- na.omit(x.clinton)
plot(x.clinton$recdate, x.clinton$cont.ips, ylim=c(-1.75,2.6), ylab="Nominee Ideal Point", xlab="Day of Clinton Administration", col="steelblue3")
lines(lowess(x.clinton$cont.ips~x.clinton$recdate, f = .2), col = "blue", lwd=3)

##Clinton plot, smoother span = 0.05, upper right
x.clinton <- x.clinton[,c("recdate", "cont.ips")]
x.clinton <- na.omit(x.clinton)
plot(x.clinton$recdate, x.clinton$cont.ips, ylim=c(-1.75,2.6), ylab="Nominee Ideal Point", xlab="Day of Clinton Administration", col="steelblue3")
lines(lowess(x.clinton$cont.ips~x.clinton$recdate, f = .05), col = "blue", lwd=3)



######################
##A5: GWB Row (Lower)
######################

x.gwb<-x[which(x$pres == "gwb"),]

##GWB plot, smoother span = 0.20, lower left
x.gwb <- x.gwb[c("recdate", "cont.ips")]
x.gwb <- na.omit(x.gwb)
plot(x.gwb$recdate, x.gwb$cont.ips, ylim=c(-1.6,1.6), ylab="Nominee Ideal Point", xlab="Day of G. W. B. Administration", col="palevioletred3")
lines(lowess(x.gwb$cont.ips~x.gwb$recdate, f = .2), col = "#FF0000FF", lwd=3)

##GWB plot, smoother span = 0.05, lower left
x.gwb <- x.gwb[c("recdate", "cont.ips")]
x.gwb <- na.omit(x.gwb)
plot(x.gwb$recdate, x.gwb$cont.ips, ylim=c(-1.6,1.6), ylab="Nominee Ideal Point", xlab="Day of G. W. B. Administration", col="palevioletred3")
lines(lowess(x.gwb$cont.ips~x.gwb$recdate, f = .05), col = "#FF0000FF", lwd=3)

