library(Matrix);library(ggplot2)

cab <- read.csv("http://www.umich.edu/~jowei/PresidentialAppointments/bg_with_cfscores_5_2_2013.csv")
cab <- cab[,c(2:dim(cab)[2])]
cab$cfscore <- cab$contributor_CFscore

cab[cab[,5] == 'F',13] <- as.numeric(cab[cab[,5] == 'F',13]) + 5e10

cpos <- c('Agriculture','Labor','Attorney General','Commerce','Defense',
          'Education','Energy','HHS','Homeland Security','Transportation',
          'Interior','Labor','Treasury','State','HUD','VA')
cab <- cab[cab[,1] %in% cpos,]

gg <- rbind(cbind(dept =as.character(cab[,1]),year = cab[,6],
                  cfscore=cab[,14],name=as.character(cab[,3]),
                  pres =as.character(cab[,2])
                  ),
            cbind(dept =as.character(cab[,1]),year = cab[,7],
                  cfscore=cab[,14],name=as.character(cab[,3]),
                  pres =as.character(cab[,2]))
            )

gg <- gg[order(paste(gg[,'dept'],as.numeric(gg[,'year']),sep='_')),]
tt1 <- paste(as.character(gg[,'dept']),gg[,'name'],gg[,'cfscore'],sep='_')
tt2 <- paste(as.character(gg[,'dept']),gg[,'name'],gg[,'cfscore'],sep='_')
rr <- match(tt1,tt2)
rr <- as.character(rr)
rr[nchar(rr) <3] <- paste(0,rr[nchar(rr)<3],sep='')
rr[nchar(rr) <3] <- paste(0,rr[nchar(rr)<3],sep='')
gg <- gg[order(paste(gg[,'dept'],as.numeric(gg[,'year']),rr,sep='_')),]

trans <- ifelse(c(diff(as.numeric(as.factor(gg[,'pres']))),0)>0,0,1)
gg <- cbind(gg,trans=trans)

gg <- as.data.frame(gg)
gg$President <- gg$pres
gg$year <- as.numeric(as.character(gg$year))
gg$cfscore <- as.numeric(as.character(gg$cfscore))
gg$dept <- factor(gg$dept)
gg$trans <- as.numeric(as.character(gg$trans))
gg$pres <- ifelse(strwrap(gg$President) %in% c('Bush','GWB'),'R','D')
gg$pres[62] <- 'R'
gg$pres[63] <- 'R'
gg$pres[64] <- 'R'
gg$pres[65] <- 'D'
gg$trans[65] <- 1
gg$trans[63] <- 1
gg$trans[61] <- 1

gg[gg$dept=="Defense",]

###############################################################################
##Line PLOT
###############################################################################
p <- ggplot(data=gg,aes(x=cfscore,y=year,group=name,alpha=trans))
p <- p + geom_path(size=1,aes(colour=pres))
p <- p + scale_y_reverse(breaks=rev(c(1988,1992,1996,2000,2004,2008)+1),limits=c(2012,1989))
p <- p + scale_alpha_identity(guide=FALSE)
p <- p + scale_size(guide=FALSE)
p <- p + scale_colour_manual('',values=c('R'='red','D'='blue'))
##identity()##manual('',values=c('tt'=1,'nn'=0),guide=FALSE)
p <- p + annotate(geom='rect',xmin=-2,xmax=2,ymin=2001,ymax=2009,alpha=.12)
p <- p + annotate(geom='rect',xmin=-2,xmax=2,ymin=1989,ymax=1993,alpha=.12)
p <- p + xlim(-2,2) ##+ ylim(2012,1989)
p <- p + facet_wrap(~dept,ncol=5)
p <- p + theme_bw()
p <- p + theme(
           ##panel.background =  element_blank(),
           panel.grid.minor = element_blank(),
           panel.grid.major = element_blank())
##p <- p + scale_y_continuous(breaks=rev(c(1988,1992,1996,2000,2004,2008)))
p <- p + theme(panel.grid.major=element_line(colour = NA, size = 0.0),
              panel.grid.minor=element_line(colour = NA, size = 0.0))
p <- p + xlab('Appointee Ideology') + ylab('Year')
p

pdf(file='FigureA6.pdf',width=10.5,height=7)
p
dev.off()


#### END OF FIGURE A6 CODE
