x <- read.csv("http://www.umich.edu/~jowei/PresidentialAppointments/SenConfNominees.csv",header=T)


x$dchair <- abs(x$chair.cf - x$cfscore1)

x <- x[(x$pres %in% c("clinton","gwb")) & x$nconts1 > 1 & x$points1 >= 3 & x$recess ==0 &  x$reappointment ==0,]
x <- x[!(x$pres == 'clinton' & x$year %in% 2001),]

########################################################################################################
######PROPOSITION 1 TEST####################################################################################
########################################################################################################


########################################################################################################
######Creating Table 1##################################################################################
########################################################################################################
x$pres.approval <- x$pres.approval / 100
x$DaysInOffice <- x$DaysInOffice / 365
x$PolicyAgenda <- x$PolicyAgenda / 100
x$AG <- substr(as.character(x$AG),1,2)
x$AG[is.na(x$AG)] <- ''
x$orgs <- x$AG
tt <- table(x$orgs)
x$orgs[x$orgs %in% names(tt[tt<10])] <- ''





library(rms)
f1a<-lrm(confirm ~ dchair+as.factor(pres)+as.factor(orgs), x=TRUE, y=TRUE, data = x)

f1c<-lrm(confirm ~ dchair+as.factor(pres)+commissioner+ambassador+attorney+marshal+secretary+ under.secretary + asst.secretary + director+administrator+member+
         professional +technical +PolicyAgenda+
         +DaysInOffice+pres.approval,
         x=TRUE, y=TRUE, data = x)



f2a<-lrm(confirm ~ dchair+as.factor(pres)+as.factor(orgs), x=TRUE, y=TRUE, data = x[x$div.govt==1,])


f2c<-lrm(confirm ~ dchair+as.factor(pres)+
         commissioner+ambassador+
         attorney+marshal+secretary+ + under.secretary + asst.secretary +director+administrator+member+
         professional +technical +PolicyAgenda +DaysInOffice+pres.approval, x=TRUE, y=TRUE, data = x[x$div.govt==1,])



f3a<-lrm(confirm ~dchair +as.factor(pres)+ as.factor(orgs), x=TRUE, y=TRUE, data = x[x$div.govt==0 ,])


f3c<-lrm(confirm ~ dchair+ as.factor(pres)+
         ambassador+
         commissioner+
         attorney+marshal+secretary+ under.secretary + asst.secretary + director+administrator+ member +
         professional +technical +PolicyAgenda +DaysInOffice+
         pres.approval,x=TRUE, y=TRUE, data = x[x$div.govt==0,])



library(texreg)
htmlreg(list(f1a,f1c,f2a,f2c,f3a,f3c),file='Table1.doc')



##################################################################################################################
##################################################################################################################
###FIGURE 5 (TWO FIGURES): Creating Figures for Confirmation Predicted Probability#########################################################
##################################################################################################################
library(rms)

#################################
##Figure 5a (Divided Government)
#################################
pm1<-Predict(f2c,
dchair=seq(summary(x[x$div.govt==1,]$dchair)[2],
summary(x[x$div.govt==1,]$dchair)[5],0.001),
pres="gwb",
ambassador=median(x$ambassador ,na.rm=TRUE),
commissioner=median(x$commissioner ,na.rm=TRUE),
attorney=median(x$attorney ,na.rm=TRUE),
marshal=median(x$marshal ,na.rm=TRUE),
secretary=median(x$secretary ,na.rm=TRUE),
under.secretary=median(x$under.secretary ,na.rm=TRUE),
asst.secretary=median(x$asst.secretary ,na.rm=TRUE),
director=median(x$director ,na.rm=TRUE),
administrator=median(x$administrator ,na.rm=TRUE),
member=median(x$member ,na.rm=TRUE),
professional=median(x$professional ,na.rm=TRUE),
technical=median(x$technical ,na.rm=TRUE),
PolicyAgenda=median(x$PolicyAgenda ,na.rm=TRUE),
DaysInOffice=median(x$DaysInOffice, na.rm=TRUE),
pres.approval=median(x$pres.approval, na.rm=TRUE), fun=plogis)

plot(c(summary(x[x$div.govt==1,]$dchair)[2],summary(x[x$div.govt==1,]$dchair)[5]),
c(1,0.59), type="n", main="Divided Government",xlab="Nominee's Absolute Distance from Senate Committee Chair", ylab="Predicted Probability of Confirmation")
for(i in 1:length(seq(summary(x[x$div.govt==1,]$dchair)[2],summary(x[x$div.govt==1,]$dchair)[5],0.001)))
{
segments(x0=pm1$dchair[i],y0=pm1$upper[i],x1=pm1$dchair[i],y1=pm1$lower[i],lty=1,
lwd=3,col="grey90")
}
points(pm1$dchair, pm1$yhat, pch=20, col="black")
points(pm1$dchair, pm1$lower, pch=20, col="darkgrey")
points(pm1$dchair, pm1$upper, pch=20, col="darkgrey")


#################################
##Figure 5b (Unified Government)
#################################
pm1<-Predict(f3c,
dchair=seq(summary(x[x$div.govt==0,]$dchair)[2],
summary(x[x$div.govt==0,]$dchair)[5],0.001),
pres="gwb",
ambassador=median(x$ambassador ,na.rm=TRUE),
commissioner=median(x$commissioner ,na.rm=TRUE),
attorney=median(x$attorney ,na.rm=TRUE),
marshal=median(x$marshal ,na.rm=TRUE),
secretary=median(x$secretary ,na.rm=TRUE),
under.secretary=median(x$under.secretary ,na.rm=TRUE),
asst.secretary=median(x$asst.secretary ,na.rm=TRUE),
director=median(x$director ,na.rm=TRUE),
administrator=median(x$administrator ,na.rm=TRUE),
member=median(x$member ,na.rm=TRUE),
professional=median(x$professional ,na.rm=TRUE),
technical=median(x$technical ,na.rm=TRUE),
PolicyAgenda=median(x$PolicyAgenda ,na.rm=TRUE),
DaysInOffice=median(x$DaysInOffice, na.rm=TRUE),
pres.approval=median(x$pres.approval, na.rm=TRUE), fun=plogis)

plot(c(summary(x[x$div.govt==0,]$dchair)[2],summary(x[x$div.govt==0,]$dchair)[5]),
c(1,0.59), type="n", main="Unified Government",xlab="Nominee's Absolute Distance from Senate Committee Chair", ylab="Predicted Probability of Confirmation")
for(i in 1:length(seq(summary(x[x$div.govt==0,]$dchair)[2],summary(x[x$div.govt==0,]$dchair)[5],0.001)))
{
segments(x0=pm1$dchair[i],y0=pm1$upper[i],x1=pm1$dchair[i],y1=pm1$lower[i],lty=1,
lwd=3,col="grey90")
}
points(pm1$dchair, pm1$yhat, pch=20, col="black")
points(pm1$dchair, pm1$lower, pch=20, col="darkgrey")
points(pm1$dchair, pm1$upper, pch=20, col="darkgrey")


####################################################### END



