t <- read.csv("http://www.umich.edu/~jowei/PresidentialAppointments/SenConfNominees.csv",header=T)

t$judicial <- ifelse(grepl('judge',t$TITLE,ignore.case=T),1,0)
t$ambassador <- ifelse(grepl('ambass',t$TITLE,ignore.case=T),1,0)
t$attorney <- ifelse(grepl('attorney',t$TITLE,ignore.case=T),1,0)
t$marshal <- ifelse(grepl('marshal',t$TITLE,ignore.case=T),1,0)
t$secretary <- ifelse(grepl('secretary',t$TITLE,ignore.case=T),1,0)
t$director <- ifelse(grepl('director',t$TITLE,ignore.case=T),1,0)
t$administrator <- ifelse(grepl('administrator',t$TITLE,ignore.case=T),1,0)
t$member <- ifelse(grepl('member of',t$TITLE,ignore.case=T),1,0)
t$commissioner <- ifelse(grepl('commissioner',t$TITLE,ignore.case=T),1,0)
t$reappointment <-  ifelse(grepl('reappointment',t$TITLE,ignore.case=T),1,0)
b1 <- as.integer(as.Date(as.character(t$receivedDATE), "%d-%b -%y"))
b2 <- as.integer(as.Date(as.character(t$confirmedDATE), "%d-%b -%y"))
t$time.to.confirm <- b2 - b1


tom <- t ##toggle which dataset to use (tom is the original, t is the new coding)

tom$ips <- tom$cips  ##toggle which bureaucratic ideal points to use (cips, the original, or cont.ips, my new coding)
tom$ips <- tom$cfscore1  ##toggle which bureaucratic ideal points to use (cfscore1 = Adam's new coding as of August 2013)
tom$dpres<-abs(I(tom$ips - tom$pres.ip))
tom$dmed<-abs(I(tom$ips - tom$med.all))
tom$dchair<-abs(I(tom$ips - tom$chair.cf))
##tom$dfb<-abs(I(tom$ips - tom$filibuster))
tom$filibuster.cf <- tom$filibuster

tom$DaysInOffice[tom$pres=="clinton"] <- as.Date(tom$recdate[tom$pres=="clinton"]) - as.Date("1993-01-20")
tom$DaysInOffice[tom$pres=="gwb"] <- as.Date(tom$recdate[tom$pres=="gwb"]) - as.Date("1993-01-20")
tom$DaysInOffice[tom$pres=="obama"] <- as.Date(tom$recdate[tom$pres=="obama"]) - as.Date("2009-01-20")
tom$YearInOffice[tom$pres=="clinton"] <-tom$year[tom$pres=="clinton"] - 1992
tom$YearInOffice[tom$pres=="gwb"] <-tom$year[tom$pres=="gwb"] - 1992
tom$YearInOffice[tom$pres=="obama"] <-tom$year[tom$pres=="obama"] - 2008


pa <- read.csv('http://www.umich.edu/~jowei/PresidentialAppointments/PresApproval.csv',header=TRUE)
pa.date.start <- as.integer(as.Date(pa[,1],format='%m/%d/%y'))
pa.date.end <- as.integer(as.Date(pa[,2],format='%m/%d/%y'))

tom$startdate.int <-as.integer(as.Date(as.character(tom$datereceived), "%d-%b -%y"))
pres.approve <- rep(NA,nrow(tom))
pres.disapprove <- rep(NA,nrow(tom))
for(i in 1:nrow(tom)){
    o  <- which.min(abs(tom$startdate.int[i] - pa.date.start))
    if(length(o) > 0){
        pres.approve[i] <- pa[o,3]
        pres.disapprove[i] <- pa[o,4]
        print(c(pa.date.start[o],tom$startdate.int[i]))
    }
}
tom$pres.approve <- pres.approve
tom$pres.disapprove <- pres.disapprove
tom$pres.approval <- pres.approve - pres.disapprove

x <- tom[tom$pres %in% c("clinton","gwb"),]
##x <- tom



y <- read.csv("http://www.umich.edu/~jowei/PresidentialAppointments/SchCNominees.csv")
y$confirm <- 1

y$recess <- 0
y$time.to.confirm <- NA
atypes <- c('SC')
ysc <- y[(y$appt %in% atypes)  & y$nconts>1 & y$points>3 ,c('incumbent','mainagency','AG','position','CONT.IPS','appt','confirm','points','bonica_id1','judicial','reappointment','ambassador','attorney','marshal','secretary','director','administrator','member','commissioner','professional','technical','recess','time.to.confirm','PolicyAgenda','pres')]

x <- tom

x$appt <- "SenConf"
xp <- x[x$points1>3 & x$nconts1>1 ,c('NAME','organization','AG','TITLE','cips','appt','confirm','points1','bonica_id1','judicial','reappointment','ambassador','attorney','marshal','secretary','director','administrator','member','commissioner','professional','technical','recess','time.to.confirm','PolicyAgenda','pres')]
names(xp) <- names(ysc)

z <- rbind(ysc, xp)
z$asst.secretary <- ifelse(grepl('assistant secretary',z$position,ignore.case=T),1,0)
z$under.secretary <- ifelse(grepl('under secretary',z$position,ignore.case=T),1,0)
z$special.assistant <- ifelse(grepl('special assist',z$position,ignore.case=T),1,0)
z$mainagency <- as.character(z$mainagency)
z$mainagency[as.character(z$mainagency)=="Department of Homeland Security"] <- "DHS"
z$mainagency[as.character(z$mainagency)=="Department of Veterans Affairs"] <- "VA"
z$mainagency[as.character(z$mainagency)=="DEPARTMENT OF HOUSING AND URBAN DEVELOPM"] <- "DEPARTMENT OF HOUSING AND URBAN DEVELOPMENT"
summary(as.factor(z$mainagency))

z$agency <- toupper(z$mainagency)
z$agency[as.character(z$agency)=="DEPARTMENT OF VETERANS AFFAIRS"] <- "VA"
z$agency[as.character(z$agency)=="APPALACHIAN REGIONAL COMMISSION"] <- "APPALACHAIN REGIONAL COMMISSION"
z$agency[as.character(z$agency)=="NATIONAL FOUNDATION ON THE ARTS AND THE HUMANITIES"] <- "NATIONAL FOUNDATION ON ARTS AND HUMANITIES"
z$agency[as.character(z$agency)=="DEPARTMENT OF THE TREASURY"] <- "DEPARTMENT OF TREASURY"
yags <- unique(as.character((z[z$appt!="SenConf",])$agency))
yags <- yags[!is.na(yags)]


a1 <- (lm(CONT.IPS ~I(appt=="SC"),data=z[z$pres=="clinton" & z$judicial==0 & z$recess==0,]))
summary(a1)


a2 <- (lm(CONT.IPS ~I(appt=="SC") +  as.factor(AG)  ,data=z[z$pres=="clinton" & z$judicial==0 & z$recess==0,]))
summary(a2)


a3 <- (lm(CONT.IPS ~I(appt=="SC")+
          commissioner+ambassador+attorney+marshal+secretary+ asst.secretary + under.secretary + director+administrator+##special.assistant+member+
          professional+technical+PolicyAgenda,
           data=z[z$pres=="clinton" & z$judicial==0 & z$recess==0,]))
summary(a3)



a4 <- (lm(CONT.IPS ~I(appt=="SC"),data=z[z$pres=="gwb" & z$judicial==0 & z$recess==0,]))
summary(a4)


a5 <- (lm(CONT.IPS ~I(appt=="SC") +  as.factor(AG)  ,data=z[z$pres=="gwb" & z$judicial==0 & z$recess==0,]))
summary(a5)


a6 <- (lm(CONT.IPS ~I(appt=="SC")+
          commissioner+ambassador+attorney+marshal+secretary+ asst.secretary + under.secretary + director+administrator+##special.assistant+member+
          professional+technical+PolicyAgenda,
           data=z[z$pres=="gwb" & z$judicial==0 & z$recess==0,]))
summary(a6)

library(texreg)
htmlreg(list(a1,a2,a3,a4,a5,a6),file='Table2.doc')

