rm(list=ls())
library(texreg)
tom <- read.csv("http://www.umich.edu/~jowei/PresidentialAppointments/SenConfNominees.csv")

tom$div.govt<-ifelse((tom$senate_control == "Democrat" & tom$pres %in% c('hwb','reagan','gwb') )|
                     (tom$senate_control == "Republican" & tom$pres %in% c('clinton','obama') ), 1, 0)
x <- tom

x$dchair <- abs(x$chair.cf - x$cfscore1)

x <- x[(x$pres %in% c("clinton","gwb")) & x$nconts1 >= 2 & x$points1 >= 3 &
       x$judicial == 0 & x$ambassador == 0 &
       x$recess ==0 &  x$reappointment ==0,]
x <- x[!(x$pres == 'clinton' & x$year %in% 2001),]




########################################################################################################
######Creating Table 1##################################################################################
########################################################################################################

library(rms)

f1a<-lrm(confirm ~ dchair+as.factor(pres)+as.factor(orgs), x=TRUE, y=TRUE, data = x)

f1c<-lrm(confirm ~ dchair+as.factor(pres)+commissioner+attorney+marshal+secretary+  under.secretary+asst.secretary+director+administrator+member+
         professional +technical +PolicyAgenda+
         +DaysInOffice+pres.approval,
         x=TRUE, y=TRUE, data = x)

f2a<-lrm(confirm ~ dchair+as.factor(pres)+as.factor(orgs), x=TRUE, y=TRUE, data = x[x$div.govt==1,])
f2c<-lrm(confirm ~ dchair+as.factor(pres)+
         commissioner+
         attorney+marshal+secretary+under.secretary+asst.secretary +director+administrator+member+
         professional +technical +PolicyAgenda +DaysInOffice+pres.approval, x=TRUE, y=TRUE, data = x[x$div.govt==1,])


f3a<-lrm(confirm ~dchair +pres + as.factor(orgs), x=TRUE, y=TRUE, data = x[x$div.govt==0 ,])
f3c<-lrm(confirm ~ dchair+
         commissioner+
         attorney+marshal+secretary+ under.secretary+asst.secretary+director+administrator+ member +
         professional +technical +PolicyAgenda +DaysInOffice+
         pres.approval,x=TRUE, y=TRUE, data = x[x$div.govt==0 & x$pres =='gwb',])
f3c.se.t<-round(sqrt(diag(f3c$var)), digits=2)

library(texreg)
htmlreg(list(f1a,f1c,f2a,f2c,f3a,f3c),file='Tale A1.doc')

