###############################################################
##########Taking out Dogcatchers###############################
###############################################################

####################################################################
################################## LOAD SenConf DATA
####################################################################



x <- read.csv("http://www.umich.edu/~jowei/PresidentialAppointments/SenConfNominees.csv")


x$dchair <- abs(x$chair.cf - x$cfscore1)

x <- x[(x$pres %in% c("clinton","gwb")),]
x <- x[!(x$pres == 'clinton' & x$year %in% 2001),]




##Note that, for the below, manual checking showed that there were two organizations with multiple names in the data set; the below code reconciles that problem
x$organization.c<-as.character(x$organization)
x$orgs<-rep(NA,length(x$organization.c))
x$orgs<-ifelse(x$organization.c == "Foreign Claims Settlement Commission of the United States", "Foreign Claims Settlement Commission",  x$organization.c)
x$orgs<-ifelse(x$organization.c == "National Museum Services Board", "National Museum and Library Services Board",  x$orgs)


x <- x[x$pres %in% c("clinton","gwb") &  x$nconts1 > 1 & x$points1 >= 3 & x$recess ==0 &  x$reappointment ==0,]
x$AG <- substr(as.character(x$AG),1,2)
x$AG[is.na(x$AG)] <- ''
x$orgs <- x$AG
tt <- table(x$orgs)
x$orgs[x$orgs %in% names(tt[tt<10])] <- ''



library(rms)


f1a<-lrm(confirm ~ dchair+as.factor(pres)+as.factor(orgs), x=TRUE, y=TRUE, data = x[x$dogcatcher==0,])

f1c<-lrm(confirm ~ dchair+as.factor(pres)+commissioner+ambassador+attorney+marshal+secretary+ under.secretary + asst.secretary + director+administrator+member+
         professional +technical +PolicyAgenda+
         +DaysInOffice+pres.approval,
         x=TRUE, y=TRUE, data = x[x$dogcatcher==0,])

f2a<-lrm(confirm ~ dchair+as.factor(pres)+as.factor(orgs), x=TRUE, y=TRUE, data = x[x$dogcatcher==0 & x$div.govt==1,])



f2c<-lrm(confirm ~ dchair+as.factor(pres)+
         commissioner+ambassador+
         attorney+marshal+secretary+ + under.secretary + asst.secretary +director+administrator+member+
         professional +technical +PolicyAgenda +DaysInOffice+pres.approval, x=TRUE, y=TRUE, data = x[x$dogcatcher==0 & x$div.govt==1,])



f3a<-lrm(confirm ~dchair +pres + as.factor(orgs), x=TRUE, y=TRUE, data = x[x$div.govt==0 ,])


f3c<-lrm(confirm ~ dchair+
         ambassador+
         commissioner+
         attorney+marshal+secretary+ under.secretary + asst.secretary + director+administrator+ member +
         professional +technical +PolicyAgenda +DaysInOffice+
         pres.approval,x=TRUE, y=TRUE, data = x[x$dogcatcher==0 & x$div.govt==0 & x$pres =='gwb',])


library(texreg)
htmlreg(list(f1a,f1c,f2a,f2c,f3a,f3c),file='TableA2.doc')







