rm(list=ls())
library(texreg)
tom <- read.csv("http://www.umich.edu/~jowei/PresidentialAppointments/SenConfNominees.csv")

x <- tom

x$dchair <- abs(x$chair.cf - x$cfscore1)

x <- x[ x$nconts1 >= 1 & x$points1 >= 3 & x$recess ==0 &  x$reappointment ==0,]
x <- x[!(x$pres == 'clinton' & x$year %in% 2001),]

x$pres[x$Congress %in% c(100)] <- 'reagan'
x$pres[x$Congress %in% c(101:102)] <- 'hwb'
x$pres[x$Congress %in% c(103:106)] <- 'clinton'
x$pres[x$Congress %in% c(107:110)] <- 'gwb'
x$pres[x$Congress %in% c(111:112)] <- 'obama'
x$div.govt[x$Congress %in% c(111:112)] <- 0

########################################################################################################
######Creating Table 1##################################################################################
########################################################################################################
x$pres.approval <- x$pres.approval / 100
x$DaysInOffice <- x$DaysInOffice / 365
x$PolicyAgenda <- x$PolicyAgenda / 100
x$AG <- substr(as.character(x$AG),1,2)
x$AG[is.na(x$AG)] <- ''
x$orgs <- x$AG
tt <- table(x$orgs)
x$orgs[x$orgs %in% names(tt[tt<10])] <- ''





library(rms)
f1a<-lrm(confirm ~ dchair+as.factor(pres)+as.factor(orgs), x=TRUE, y=TRUE, data = x)

f1c<-lrm(confirm ~ dchair+as.factor(pres)+commissioner+ambassador+attorney+marshal+secretary+ under.secretary + asst.secretary + director+administrator+member,
         ##professional +technical + PolicyAgenda+DaysInOffice+pres.approval,
         x=TRUE, y=TRUE, data = x)



f2a<-lrm(confirm ~ dchair+as.factor(pres)+as.factor(orgs), x=TRUE, y=TRUE, data = x[x$div.govt==1,])


f2c<-lrm(confirm ~ dchair+as.factor(pres)+
         commissioner+ambassador+
         attorney+marshal+secretary+ + under.secretary + asst.secretary +director+administrator+member,
         ##professional +technical +PolicyAgenda +DaysInOffice+pres.approval,
         x=TRUE, y=TRUE, data = x[x$div.govt==1,])



f3a<-lrm(confirm ~dchair +pres + as.factor(orgs), x=TRUE, y=TRUE, data = x[x$div.govt==0 ,])


f3c<-lrm(confirm ~ dchair+pres +
         ambassador+
         commissioner+
         attorney+marshal+secretary+ under.secretary + asst.secretary + director+administrator+ member,
         ## professional +technical +PolicyAgenda +DaysInOffice+pres.approval,
         x=TRUE, y=TRUE, data = x[x$div.govt==0,])


library(texreg)
htmlreg(list(f1a,f1c,f2a,f2c,f3a,f3c),file='TableA3.doc')


